Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/shield_information_barriers/1910967" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "shield_information_barrier",
"enterprise": {
"id": "1910967",
"type": "enterprise"
},
"status": "draft",
"created_at": "2020-06-26T18:44:45.869Z",
"created_by": {
"id": "11446498",
"type": "user"
},
"updated_at": "2020-07-26T18:44:45.869Z",
"updated_by": {
"id": "11446498",
"type": "user"
},
"enabled_at": "2020-07-26T18:44:45.869Z",
"enabled_by": {
"id": "11446498",
"type": "user"
}
}Get shield information barrier based on provided ID.
curl -i -X GET "https://api.box.com/2.0/shield_information_barriers/1910967" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "shield_information_barrier",
"enterprise": {
"id": "1910967",
"type": "enterprise"
},
"status": "draft",
"created_at": "2020-06-26T18:44:45.869Z",
"created_by": {
"id": "11446498",
"type": "user"
},
"updated_at": "2020-07-26T18:44:45.869Z",
"updated_by": {
"id": "11446498",
"type": "user"
},
"enabled_at": "2020-07-26T18:44:45.869Z",
"enabled_by": {
"id": "11446498",
"type": "user"
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the shield information barrier.
Returns the shield information barrier object.
A standard representation of a shield information barrier object.
The unique identifier for the shield information barrier.
"11446498"
The type of the shield information barrier.
shield_information_barrier "shield_information_barrier"
The type and id of enterprise this barrier is under.
Show child attributes
Status of the shield information barrier.
draft, pending, disabled, enabled, invalid "draft"
ISO date time string when this shield information barrier object was created.
"2020-06-26T18:44:45.869Z"
The user who created this shield information barrier.
Show child attributes
ISO date time string when this shield information barrier was updated.
"2020-07-26T18:44:45.869Z"
The user that updated this shield information barrier.
Show child attributes
ISO date time string when this shield information barrier was enabled.
"2020-07-26T18:44:45.869Z"
The user that enabled this shield information barrier.
Show child attributes
Was this page helpful?